
function template(screen_key,list_of_uniq_id,focus_func,isPowerOn){
var map=[
[0,0,0,0],
[0,0,0,0],
[0,0,0,0],
[0,0,0,0]
];
this._create_map(map);
this._mapping[0]={pos_x:0,pos_y:0,width:1920,height:1080,map_x:0,map_y:0,map_h:4,map_w:4};
if(isPowerOn){
var player=new BroadcastPlayer();
player.df_disconnect();
player.osd_control(OSD_NORMAL);}
this.superClass=Screen;
this.superClass(screen_key,list_of_uniq_id,focus_func,isPowerOn);};
template.prototype=new Screen();
template.prototype.createGadgets=function (list_of_product_id,is_force){
if(!isActiveStatus()&&!is_force)return;
Screen.prototype.createGadgets.apply(this,arguments);
var gadget_obj=this.gadgets[0];
if(gadget_obj.gadget){
gadget_obj.gadget.setFullTV(true);}else{
gadget_obj.getMySize=function(){
gadget_obj.gadget.setFullTV(true);
return gadget_obj._size||null;};}
gadget_obj.translate=[0,0,0];
gadget_obj.setMySize(1920,1080);};
template.prototype.getTemplateName=function (){
return this._template_name||"tv";};
template.prototype.transitReturnHOME=function(){
if(this.status["fullscreen"])return;
this._my_transit_return_HOME();};
template.prototype._my_df_control=function (pos){
var bplayer=new BroadcastPlayer();
if(-100<pos[2]&&pos[2]<100){
bplayer.df_disconnect();}else{
bplayer.df_connect();}
};
template.prototype._my_launch_with_transit_effect=function(target,func){
var report=this._collectAccessReportInfo(target);
this._do_gadget(target,"launchApl",[null,report]);
if(func)func();};
template.prototype._set_mask=function (bool){
this.upper_mask.visible_p=bool;
this.under_mask.visible_p=bool;};
template.prototype._my_add_SMAd=function(){
try{
this._SMAd_obj=SMAd;
this._SMAd_use_block=false;
this._SMAd_is_startup_fulltv=true;}catch(e){
console.log(e.message);};};
